Bug 219987 - selinux prevents mkinitrd from working.
selinux prevents mkinitrd from working.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-17 21:40 EST by Dave Jones
Modified: 2015-01-04 17:29 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:14:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-12-17 21:40:12 EST
Upgrading an FC6 box to rawhide is broken right now, as when the kernel is
installed, it generates a broken initrd, due to SELinux denials.

Dec 17 19:56:53 silver kernel: audit(1166407013.426:23): avc:  denied  {
setfscreate } for  pid=2780 comm="cp" scontext=user_u:system_r:bootloader_t:s0 tcont
ext=user_u:system_r:bootloader_t:s0 tclass=process
Dec 17 19:56:53 silver kernel: audit(1166407013.494:24): avc:  denied  {
execute_no_trans } for  pid=2781 comm="mkinitrd" name="ld-2.5.90.so" dev=dm-0 ino=38
99394 scontext=user_u:system_r:bootloader_t:s0
tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Dec 17 19:56:53 silver kernel: audit(1166407013.502:25): avc:  denied  {
execute_no_trans } for  pid=2782 comm="mkinitrd" name="ld-2.5.90.so" dev=dm-0 ino=38
99394 scontext=user_u:system_r:bootloader_t:s0
tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Dec 17 19:56:53 silver kernel: audit(1166407013.518:26): avc:  denied  {
execute_no_trans } for  pid=2783 comm="mkinitrd" name="ld-2.5.90.so" dev=dm-0 ino=38
99394 scontext=user_u:system_r:bootloader_t:s0
tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Dec 17 19:56:53 silver kernel: audit(1166407013.578:27): avc:  denied  {
setfscreate } for  pid=2789 comm="cp" scontext=user_u:system_r:bootloader_t:s0 tcont
ext=user_u:system_r:bootloader_t:s0 tclass=process
Dec 17 19:56:53 silver kernel: audit(1166407013.602:28): avc:  denied  {
execute_no_trans } for  pid=2790 comm="mkinitrd" name="ld-2.5.90.so" dev=dm-0 ino=38
99394 scontext=user_u:system_r:bootloader_t:s0
tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Dec 17 19:56:53 silver kernel: audit(1166407013.614:29): avc:  denied  {
execute_no_trans } for  pid=2791 comm="mkinitrd" name="ld-2.5.90.so" dev=dm-0 ino=38
99394 scontext=user_u:system_r:bootloader_t:s0
tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Dec 17 19:56:53 silver kernel: audit(1166407013.630:30): avc:  denied  {
execute_no_trans } for  pid=2792 comm="mkinitrd" name="ld-2.5.90.so" dev=dm-0 ino=38
99394 scontext=user_u:system_r:bootloader_t:s0
tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Dec 17 19:56:54 silver kernel: audit(1166407014.174:31): avc:  denied  {
setfscreate } for  pid=2862 comm="cp" scontext=user_u:system_r:bootloader_t:s0 tcont
ext=user_u:system_r:bootloader_t:s0 tclass=process
Dec 17 19:56:54 silver kernel: audit(1166407014.202:32): avc:  denied  {
execute_no_trans } for  pid=2863 comm="mkinitrd" name="ld-2.5.90.so" dev=dm-0 ino=38
99394 scontext=user_u:system_r:bootloader_t:s0
tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Dec 17 19:56:54 silver kernel: audit(1166407014.218:33): avc:  denied  {
execute_no_trans } for  pid=2864 comm="mkinitrd" name="ld-2.5.90.so" dev=dm-0 ino=38
99394 scontext=user_u:system_r:bootloader_t:s0
tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Dec 17 19:56:54 silver kernel: audit(1166407014.234:34): avc:  denied  {
execute_no_trans } for  pid=2865 comm="mkinitrd" name="ld-2.5.90.so" dev=dm-0 ino=38
99394 scontext=user_u:system_r:bootloader_t:s0
tcontext=system_u:object_r:ld_so_t:s0 tclass=file
Comment 1 Daniel Walsh 2006-12-18 14:45:01 EST
Latest policy does not have mkinitrd policy so it will run in a unconfined domain
selinux-policy-2.4.6-14.fc7
Comment 2 Daniel Walsh 2007-08-22 10:14:28 EDT
Should be fixed in the current release

Note You need to log in before you can comment on or make changes to this bug.